GET /messaging/v1/securityHeaders/all

Overview 

Get the list of all available security headers with their default values.

Usage 

Example Request 

1Host: https://YOUR_SUBDOMAIN.rest.marketingcloudapis.com
2GET /messaging/v1/securityHeaders/all
3Content-Type: application/json
4Authorization: Bearer YOUR_ACCESS_TOKEN

Example Response 

1HTTP/1.1 200
2{
3  "data": [
4    {
5      "value": "no-cache, must-revalidate, max-age=0, no-store, private",
6      "id": 6,
7      "name": "Cache-Control"
8    },
9    {
10      "value": "default-src 'self'; frame-ancestors 'self'",
11      "id": 1,
12      "name": "Content-Security-Policy"
13    },
14    {
15      "value": "geolocation=(self), microphone=()",
16      "id": 8,
17      "name": "Permissions-Policy"
18    },
19    {
20      "value": "origin-when-cross-origin",
21      "id": 4,
22      "name": "Referrer-Policy"
23    },
24    {
25      "value": "strict",
26      "id": 9,
27      "name": "Set-Cookie"
28    },
29    {
30      "value": "max-age=31536000; includeSubDomains",
31      "id": 5,
32      "name": "Strict-Transport-Security"
33    },
34    {
35      "value": "nosniff",
36      "id": 3,
37      "name": "X-Content-Type-Options"
38    },
39    {
40      "value": "SAMEORIGIN",
41      "id": 2,
42      "name": "X-Frame-Options"
43    },
44    {
45      "value": "1; mode=block",
46      "id": 7,
47      "name": "X-XSS-Protection"
48    }
49  ],
50  "requestId": "f8d089f9-604b-42d0-a6da-1f92ad081b4d"
51}

Related Items